## haxml 1.13.2

=== Makefile ===
SOFTWARE = HaXml
VERSION  = 1.13.2

SRCS = \
	src/Text/XML/HaXml.hs src/Text/XML/HaXml/Combinators.hs \
	src/Text/XML/HaXml/Lex.hs \
	src/Text/XML/HaXml/Parse.hs src/Text/XML/HaXml/Pretty.hs \
	src/Text/XML/HaXml/Types.hs src/Text/XML/HaXml/Validate.hs \
	src/Text/XML/HaXml/Wrappers.hs src/Text/XML/HaXml/OneOfN.hs \
	src/Text/XML/HaXml/Verbatim.hs src/Text/XML/HaXml/Escape.hs \
	src/Text/XML/HaXml/Xml2Haskell.hs src/Text/XML/HaXml/Haskell2Xml.hs \
	src/Text/XML/HaXml/Html/Generate.hs src/Text/XML/HaXml/Html/Parse.hs \
	src/Text/XML/HaXml/Html/Pretty.hs \
	src/Text/XML/HaXml/Xtract/Combinators.hs \
	src/Text/XML/HaXml/Xtract/Lex.hs \
	src/Text/XML/HaXml/Xtract/Parse.hs \
	src/Text/XML/HaXml/DtdToHaskell/TypeDef.hs \
	src/Text/XML/HaXml/DtdToHaskell/Convert.hs \
	src/Text/XML/HaXml/DtdToHaskell/Instance.hs \
	src/Text/ParserCombinators/HuttonMeijerWallace.hs
TOOLSRCS = \
	src/tools/DtdToHaskell.hs src/tools/Xtract.hs src/tools/Validate.hs \
	src/tools/Canonicalise.hs src/tools/MkOneOf.hs

AUX =	configure Makefile src/Makefile src/pkg.conf docs/* examples/* \
	README LICENCE* COPYRIGHT script/echo.c rpm.spec Build.bat \
	HaXml.cabal Setup.hs
ALLFILES = $(SRCS) $(TOOLSRCS) $(AUX)
# These files in CVS are NOT included in the src distribution.
NOT =	Makefile.inc Makefile.nhc98 src/Makefile.inc src/Makefile.nhc98

.PHONY: all libs tools haddock install register

COMPILERS = $(shell cat obj/compilers)
LIBS  = $(patsubst %, libs-%, $(COMPILERS))
TOOLS = $(patsubst %, tools-%, $(COMPILERS))
INSTALL = $(patsubst %, install-%, $(COMPILERS))
FILESONLY = $(patsubst %, install-filesonly-%, $(COMPILERS))

all: $(LIBS) $(TOOLS)
libs: $(LIBS)
tools: $(TOOLS)
install: $(INSTALL)
install-filesonly: $(FILESONLY)
libs-ghc:
	cd obj/ghc; $(MAKE) HC=$(shell cat obj/ghccmd) libs
libs-nhc98:
	cd obj/nhc98; $(MAKE) HC=nhc98 libs
libs-hugs:
	@echo "No building required for Hugs version of HaXml libs."
tools-ghc:
	cd obj/ghc; $(MAKE) HC=$(shell cat obj/ghccmd) toolset
tools-nhc98:
	cd obj/nhc98; $(MAKE) HC=nhc98 toolset
tools-hugs:
	@echo "No building required for Hugs version of HaXml tools."
install-ghc:
	cd obj/ghc; $(MAKE) HC=$(shell cat obj/ghccmd) install-ghc
install-nhc98:
	cd obj/nhc98; $(MAKE) HC=nhc98 install-nhc98
install-hugs:
	hugs-package src
	cd obj/hugs; $(MAKE) install-tools-hugs
install-filesonly-ghc:
	cd obj/ghc; $(MAKE) HC=$(shell cat obj/ghccmd) install-filesonly-ghc
install-filesonly-nhc98:
	cd obj/nhc98; $(MAKE) HC=nhc98 install-filesonly-nhc98
install-filesonly-hugs: install-hugs
haddock:
	#do cpp -P -traditional -D__NHC__ $$file >$$file.uncpp;
	for file in $(SRCS); \
		do cpphs --noline -D__NHC__ $$file >$$file.uncpp; \
		done
	-mkdir docs/HaXml
	haddock -h -t HaXml -o docs/HaXml $(patsubst %, %.uncpp, $(SRCS))
	rm $(patsubst %, %.uncpp, $(SRCS))

# packaging a distribution

srcDist: $(ALLFILES) haddock
	rm -f $(SOFTWARE)-$(VERSION).tar $(SOFTWARE)-$(VERSION).tar.gz
	mkdir $(SOFTWARE)-$(VERSION)
	tar cf - $(ALLFILES) | ( cd $(SOFTWARE)-$(VERSION); tar xf - )
	-rm -rf $(SOFTWARE)-$(VERSION)/docs/CVS
	-rm -rf $(SOFTWARE)-$(VERSION)/examples/CVS
	-rm -rf $(SOFTWARE)-$(VERSION)/examples/SMIL/CVS
	-rm -rf $(SOFTWARE)-$(VERSION)/examples/OpenOffice.org/CVS
	tar cf $(SOFTWARE)-$(VERSION).tar $(SOFTWARE)-$(VERSION)
	rm -rf $(SOFTWARE)-$(VERSION)
	gzip $(SOFTWARE)-$(VERSION).tar

zipDist: $(ALLFILES) haddock
	rm -f $(SOFTWARE)-$(VERSION).zip
	mkdir $(SOFTWARE)-$(VERSION)
	tar cf - $(ALLFILES) | ( cd $(SOFTWARE)-$(VERSION); tar xf - )
	-rm -rf $(SOFTWARE)-$(VERSION)/docs/CVS
	-rm -rf $(SOFTWARE)-$(VERSION)/examples/CVS
	-rm -rf $(SOFTWARE)-$(VERSION)/examples/SMIL/CVS
	-rm -rf $(SOFTWARE)-$(VERSION)/examples/OpenOffice.org/CVS
	zip -r $(SOFTWARE)-$(VERSION).zip $(SOFTWARE)-$(VERSION)
	rm -rf $(SOFTWARE)-$(VERSION)


# clear up rubbish
clean:
	-rm -r obj/ghc obj/nhc98 obj/hugs
	-cd examples;    rm -f *.hi *.o
realclean: clean
	-rm -f DtdToHaskell Xtract Validate Canonicalise MkOneOf

=== src/Makefile ===
SOFTWARE = HaXml
VERSION = 1.13.1

LIBSRCS = \
	Text/XML/HaXml.hs Text/XML/HaXml/Combinators.hs Text/XML/HaXml/Lex.hs \
	Text/XML/HaXml/Parse.hs Text/XML/HaXml/Pretty.hs \
	Text/XML/HaXml/Types.hs Text/XML/HaXml/Validate.hs \
	Text/XML/HaXml/Wrappers.hs Text/XML/HaXml/OneOfN.hs \
	Text/XML/HaXml/Xml2Haskell.hs Text/XML/HaXml/Haskell2Xml.hs \
	Text/XML/HaXml/Verbatim.hs Text/XML/HaXml/Escape.hs \
	Text/XML/HaXml/Html/Generate.hs Text/XML/HaXml/Html/Parse.hs \
	Text/XML/HaXml/Html/Pretty.hs \
	Text/XML/HaXml/Xtract/Combinators.hs \
	Text/XML/HaXml/Xtract/Lex.hs \
	Text/XML/HaXml/Xtract/Parse.hs \
	Text/ParserCombinators/HuttonMeijerWallace.hs

LIBOBJS = $(patsubst %.hs, %.o, $(LIBSRCS))

TOOLSRCS = \
	Text/XML/HaXml/DtdToHaskell/TypeDef.hs \
	Text/XML/HaXml/DtdToHaskell/Convert.hs \
	Text/XML/HaXml/DtdToHaskell/Instance.hs \
	tools/DtdToHaskell.hs tools/Xtract.hs tools/Validate.hs \
 	tools/Canonicalise.hs tools/MkOneOf.hs

TOOLSET = \
	../../DtdToHaskell$(EXE) ../../Xtract$(EXE) ../../Validate$(EXE) \
	../../Canonicalise$(EXE) ../../MkOneOf$(EXE)

EXE = $(shell cat ../exe)
OUT = $(shell cat ../out)
INSTALLDIR = $(shell cat ../prefix)
WHOLEARCHIVE = $(shell cat ../ldopt)

# The caller *must* set the HC variable.
COMPILER := $(findstring ghc, $(HC))
ifeq "$(COMPILER)" "ghc"
COMPILE  = $(HC) --make -cpp -i. $(shell cat ghcpkgs) -package-name HaXml
RENAME   = mv $(OUT)
endif
COMPILER := $(findstring nhc98, $(HC))
ifeq "$(COMPILER)" "nhc98"
COMPILE  = hmake -hc=$(HC) -I. -K4M +CTS -H8M -CTS -package base
RENAME   = echo Built
endif

.PHONY: all libs toolset

all: libs toolset
libs: libHSHaXml.a
toolset: $(TOOLSET)
install-filesonly-ghc: libs $(INSTALLDIR)
	cp libHSHaXml.a `cat ghclibdir`
	-ranlib `cat ghclibdir`/libHSHaXml.a	# ignore if fails on Linux
	-cp HSHaXml.o `cat ghclibdir`		# file may not exist on MacOS X
	-rm -r `cat ghcincdir`/HaXml
	mkdir `cat ghcincdir`/HaXml
	cp interfaces.tar `cat ghcincdir`/HaXml
	cd `cat ghcincdir`/HaXml; tar xf interfaces.tar; rm interfaces.tar
	cp $(TOOLSET) $(INSTALLDIR)
install-filesonly-nhc98: libs $(INSTALLDIR)
	cp libHSHaXml.a `cat nhc98libdir`/`harch`
	-ranlib `cat nhc98libdir`/`harch`/libHSHaXml.a
	-rm -r `cat nhc98incdir`/HaXml
	mkdir `cat nhc98incdir`/HaXml
	cp interfaces.tar `cat nhc98incdir`/packages/HaXml
	cd `cat nhc98incdir`/packages/HaXml; tar xf interfaces.tar; rm interfaces.tar
	cp $(TOOLSET) $(INSTALLDIR)
install-ghc: install-filesonly-ghc HaXml.pkgconf
	`cat ghcpkgcmd` --remove-package=HaXml || true
	`cat ghcpkgcmd` --add-package <pkg.conf || \
	`cat ghcpkgcmd` register HaXml.pkgconf
install-nhc98: install-filesonly-nhc98
install-tools-hugs: toolset-hugs $(INSTALLDIR)
	cp $(patsubst ../../%, %, ${TOOLSET}) $(INSTALLDIR)

# update the sources if necessary
$(LIBSRCS) $(TOOLSRCS) Makefile Text/PrettyPrint/HughesPJ.hs: %: ../../src/%
	cp $< $@
HaXml.pkgconf: ../../HaXml.cabal ghcincdirraw ghclibdirraw
	cp ../../HaXml.cabal $@
	echo "import-dirs:	`cat ghcincdirraw`HaXml" >>$@
	echo "library-dirs:	`cat ghclibdirraw`" >>$@
	echo "depends:		base, haskell98" >>$@
	echo "hs-libraries:	HS$(SOFTWARE)" >>$@



# packaged library
libHSHaXml.a: $(LIBSRCS)
	$(COMPILE) $(LIBSRCS)
	ar r libHSHaXml.a $(LIBOBJS)
	-ld -r -x $(WHOLEARCHIVE) -o HSHaXml.o libHSHaXml.a	# for GHCi only
	tar cf interfaces.tar `find Text -name *.hi -print`


# standalone tools
$(TOOLSET): $(LIBSRCS) $(TOOLSRCS)
	cd tools; $(COMPILE) -i.. $(patsubst ../../%${EXE}, %, $@)
	cd tools; $(RENAME) $(patsubst ../../%, %, $@)
	mv $(patsubst ../../%, tools/%, $@) ../..

toolset-hugs:
	for file in tools/*.hs ;\
	do tool=`basename $$file .hs` ;\
	   echo '#!'`which runhugs` >$$tool ;\
	   cat $$file >>$$tool ;\
	   chmod +x $$tool ;\
	done

$(INSTALLDIR):
	if [ ! -d $(INSTALLDIR) ] ; then mkdir -p $(INSTALLDIR); fi

## haxml 1.13.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SOFTWARE = HaXml
-VERSION  = 1.13.2
+VERSION  = 1.13.3
 
 SRCS = \
 	src/Text/XML/HaXml.hs src/Text/XML/HaXml/Combinators.hs \

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SOFTWARE = HaXml
-VERSION = 1.13.1
+VERSION = 1.13.3
 
 LIBSRCS = \
 	Text/XML/HaXml.hs Text/XML/HaXml/Combinators.hs Text/XML/HaXml/Lex.hs \

=== debian/changelog ===
haxml (1:1.13.3-4) unstable; urgency=low

  * control: haxml-doc: Provides: libghc6-haxml-doc.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 06 May 2010 09:01:23 -0300

haxml (1:1.13.3-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Remove uneeded Build-Depends: in libghc6-base-doc
    and libghc6-haskell98-doc.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7
  * Switch to 3.0 (quilt) version
  * Clean changelog via debian/clean

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 18:18:25 +0100

haxml (1:1.13.3-1) unstable; urgency=low

  * Switch back to the latest stable release of haxml, as to not break its
    reverse build dependencies
  * Thus do not depend on polyparse, remove patch adjusting the polyparse
    dependency.
  * Remove patches/09_fix-lexical-error, does not apply to this version of
    HaXml

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 Sep 2009 16:26:10 +0200

haxml (1.19.7-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream release (Closes: 539951, 527987, 464362)
  * debian/compat version 7.
  * debian/control:
    - Make Debian Haskell Group the Maintainer.
    - Standards version 3.8.3.
    - Update ghc, haddock version dependencies.
    - Update debhelper version to prevent lintian warnings.
    - Add binary package libghc6-haxml-prof.
    - Remove hugs binary packages.
    - Section haskell.
    - Build depend on libghc6-polyparse-dev.
  * New CDBS/haskell-devscipts based build to replace old debian/rules.
  * Specify LGPL-2.1 and GPL-2 in debian/copyright.
  * Point debian/watch at hackage.haskell.org.
  * Convert dpatch patches to quilt and remove unneeded patches.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 07 Sep 2009 16:34:41 +0200

haxml (1.17-6) experimental; urgency=low

  * debian/control:
    - Use the new Homepage field.
  * debian/{Canonicalise.1,Xtract.1:
    - Fix spelling error(s). (Closes: #445070)
    - Update the dates, versions and my email address.

 -- Arjan Oosting <arjan@debian.org>  Tue, 09 Oct 2007 22:59:15 +0200

haxml (1.17-5) experimental; urgency=low

  * debian/control:
    - Adjust Xs-Vcs-* fields as the package has moved to the pkg-haskell
      repository on svn.debian.org.
    - Add doc-base to the Recommends of haxml-doc.
  * debian/mk-haskell-depends:
    - Small cleanups.
  * Generate links to other API documentation packages:
    - debian/control:
      + Add libghc6-base-doc and libghc6-haskell98-doc to the
        Build-Depends-Indep so haddock can link to names in other
        packages.
      + Add libghc6-base-doc and libghc6-haskell98-doc to the Recommends
        of haskell-http-doc.
   - debian/patches/10_link-to-other-docs.dpatch
      + Add the appropriate --use-package options so haddock will link to
        names in other packages.

 -- Arjan Oosting <arjan@debian.org>  Mon, 28 May 2007 17:03:59 +0200

haxml (1.17-4) experimental; urgency=low

  * Drop the use of diversions to install libhugs-haxml:
    - debian/control:
      + Make the dependency hugs versioned so we have a hugs
        which is splitted into multiple packages.
      + Add a conflicts against other libhugs-haxml packages.
    - debian/libhugs-haxml.{preinst.in,postrm.in}: dropped.
  * debian/mk-haskell-depends: update script to take installed package
    configuration files as arguments.
  * debian/rules:
    - Call mk-haskell-depends with installed package configuration file as
      argument.
    - Expose package by default after installation (Closes: #392238)
    - Enclose paths in double quotes because directories can contain
      spaces.

 -- Arjan Oosting <arjan@debian.org>  Sat, 13 Jan 2007 21:39:32 +0100

haxml (1.17-3) experimental; urgency=low

  * debian/rules: fix typo which caused HaXml.package.conf to be missing
    from the binary package. (Closes: #394307)
  * debian/patches/07_no-hscolour-cmd.dpatch: don't remove the
    --source-entity and --source-module options as haddock 0.8 is in
    unstable.
  * Stop using update-haskell-control and $ghc6_* variables, as it is not
    necessary and not using it simplifies the work for porters and for me.

 -- Arjan Oosting <arjan@debian.org>  Fri, 20 Oct 2006 22:34:59 +0200

haxml (1.17-2) experimental; urgency=low

  * debian/control.in:
    - add XS-Vcs-Svn field pointing to subversion archive which contains
      this package.
    - replace ${ghc6:Depends} with ${haskell:Depends} which is used by the
      new debian/mk-haskell-depends script.
    - change maintainer email address.
  * debian/rules:
    - replace debian/mk-ghc6-vars with debian/mk-haskell-depends script
      which determines all dependencies by using the installed package
      description file used by ghc-pkg.
    - redo the way we detect if libghc6-haxml-dev gets build.
  * debian/patches/03_build-haxml-prof.dpatch: rearranged to make other
    patches easier.
  * debian/patches/06_hcflags-support.dpatch: only use -package-name HaXml
    for library source but not for the tools. This is needed to build the
    tools with GHC 6.6.

 -- Arjan Oosting <arjan@debian.org>  Tue, 17 Oct 2006 03:51:55 +0200

haxml (1.17-1) experimental; urgency=low

  * New upstream release:


=== debian/control ===
Source: haxml
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends:
 debhelper (>= 7),
 cdbs,
 haskell-devscripts (>= 0.7),
 ghc6,
 ghc6-prof,
 ghc6-doc,
 html2text
Standards-Version: 3.8.4
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haxml/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haxml
Homepage: http://hackage.haskell.org/package/HaXml

Package: haxml
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: libghc6-haxml-dev (= ${binary:Version})
Description: utilities for using XML documents with Haskell
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include: 
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML. 
 .
 This package contains the HaXml command-line tools.

Package: libghc6-haxml-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: GHC6 libraries for using XML documents with Haskell
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include: 
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML. 
 .
 This package contains the HaXml combinator library for generic XML
 document processing, including transformation, editing, and
 generation for use with GHC6. 

Package: libghc6-haxml-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Profiling libraries for the haskell haxml library
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include: 
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML. 
 .
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: haxml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: libghc6-haxml-doc
Description: Documentation of HaXml
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include: 
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML. 
 .
 This package contains the HaXml documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Standard way of building Haskell binary.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/$(CABAL_PACKAGE) :: changelog build-ghc6-stamp

changelog : docs/changelog.html
	html2text -nobs docs/changelog.html > changelog

## haxml 1.20.2

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,44 @@
 SOFTWARE = HaXml
-VERSION  = 1.13.3
+VERSION  = 1.20.2
+
+#CPP      = cpp -traditional
+CPP     = cpphs --text --noline	# useful e.g. on MacOS X
+
+DIRS = Text Text/XML Text/XML/HaXml Text/XML/HaXml/Html \
+	Text/XML/HaXml/Xtract Text/XML/HaXml/DtdToHaskell \
+	Text/XML/HaXml/XmlContent
 
 SRCS = \
 	src/Text/XML/HaXml.hs src/Text/XML/HaXml/Combinators.hs \
-	src/Text/XML/HaXml/Lex.hs \
+	src/Text/XML/HaXml/Posn.hs src/Text/XML/HaXml/Lex.hs \
 	src/Text/XML/HaXml/Parse.hs src/Text/XML/HaXml/Pretty.hs \
 	src/Text/XML/HaXml/Types.hs src/Text/XML/HaXml/Validate.hs \
-	src/Text/XML/HaXml/Wrappers.hs src/Text/XML/HaXml/OneOfN.hs \
+	src/Text/XML/HaXml/Wrappers.hs \
 	src/Text/XML/HaXml/Verbatim.hs src/Text/XML/HaXml/Escape.hs \
-	src/Text/XML/HaXml/Xml2Haskell.hs src/Text/XML/HaXml/Haskell2Xml.hs \
+	src/Text/XML/HaXml/OneOfN.hs \
+	src/Text/XML/HaXml/ParseLazy.hs \
+	src/Text/XML/HaXml/ByteStringPP.hs \
+	src/Text/XML/HaXml/TypeMapping.hs \
+	src/Text/XML/HaXml/XmlContent.hs \
+	src/Text/XML/HaXml/XmlContent/Parser.hs \
+	src/Text/XML/HaXml/XmlContent/Haskell.hs \
+	src/Text/XML/HaXml/SAX.hs \
+	src/Text/XML/HaXml/ShowXmlLazy.hs \
+	src/Text/XML/HaXml/Util.hs \
 	src/Text/XML/HaXml/Html/Generate.hs src/Text/XML/HaXml/Html/Parse.hs \
 	src/Text/XML/HaXml/Html/Pretty.hs \
+	src/Text/XML/HaXml/Html/ParseLazy.hs \
 	src/Text/XML/HaXml/Xtract/Combinators.hs \
 	src/Text/XML/HaXml/Xtract/Lex.hs \
 	src/Text/XML/HaXml/Xtract/Parse.hs \
 	src/Text/XML/HaXml/DtdToHaskell/TypeDef.hs \
 	src/Text/XML/HaXml/DtdToHaskell/Convert.hs \
 	src/Text/XML/HaXml/DtdToHaskell/Instance.hs \
-	src/Text/ParserCombinators/HuttonMeijerWallace.hs
+
 TOOLSRCS = \
 	src/tools/DtdToHaskell.hs src/tools/Xtract.hs src/tools/Validate.hs \
-	src/tools/Canonicalise.hs src/tools/MkOneOf.hs
+	src/tools/Canonicalise.hs src/tools/MkOneOf.hs \
+	src/tools/CanonicaliseLazy.hs src/tools/XtractLazy.hs \
 
 AUX =	configure Makefile src/Makefile src/pkg.conf docs/* examples/* \
 	README LICENCE* COPYRIGHT script/echo.c rpm.spec Build.bat \
@@ -67,13 +85,19 @@
 	cd obj/nhc98; $(MAKE) HC=nhc98 install-filesonly-nhc98
 install-filesonly-hugs: install-hugs
 haddock:
-	#do cpp -P -traditional -D__NHC__ $$file >$$file.uncpp;
+	mkdir -p docs/HaXml
+	for dir in $(DIRS); \
+		do mkdir -p docs/HaXml/src/$$dir; \
+		done
 	for file in $(SRCS); \
-		do cpphs --noline -D__NHC__ $$file >$$file.uncpp; \
+		do $(CPP) -D__NHC__=120 -DMYVERSION="\"$(VERSION)\"" $$file >$$file.uncpp.hs; \
+		   HsColour -anchor -html $$file >docs/HaXml/`dirname $$file`/`basename $$file .hs`.html; \
 		done
-	-mkdir docs/HaXml
-	haddock -h -t HaXml -o docs/HaXml $(patsubst %, %.uncpp, $(SRCS))
-	rm $(patsubst %, %.uncpp, $(SRCS))
+	haddock --html --title=HaXml --odir=docs/HaXml \
+		--source-module="src/%{MODULE/.//}.html" \
+		--source-entity="src/%{MODULE/.//}.html#%{NAME}" \
+		$(patsubst %, %.uncpp.hs, $(SRCS))
+	rm -f $(patsubst %, %.uncpp.hs, $(SRCS))
 
 # packaging a distribution
 
@@ -81,10 +105,6 @@
 	rm -f $(SOFTWARE)-$(VERSION).tar $(SOFTWARE)-$(VERSION).tar.gz
 	mkdir $(SOFTWARE)-$(VERSION)
 	tar cf - $(ALLFILES) | ( cd $(SOFTWARE)-$(VERSION); tar xf - )
-	-rm -rf $(SOFTWARE)-$(VERSION)/docs/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/SMIL/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/OpenOffice.org/CVS
 	tar cf $(SOFTWARE)-$(VERSION).tar $(SOFTWARE)-$(VERSION)
 	rm -rf $(SOFTWARE)-$(VERSION)
 	gzip $(SOFTWARE)-$(VERSION).tar
@@ -93,18 +113,15 @@
 	rm -f $(SOFTWARE)-$(VERSION).zip
 	mkdir $(SOFTWARE)-$(VERSION)
 	tar cf - $(ALLFILES) | ( cd $(SOFTWARE)-$(VERSION); tar xf - )
-	-rm -rf $(SOFTWARE)-$(VERSION)/docs/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/SMIL/CVS
-	-rm -rf $(SOFTWARE)-$(VERSION)/examples/OpenOffice.org/CVS
 	zip -r $(SOFTWARE)-$(VERSION).zip $(SOFTWARE)-$(VERSION)
 	rm -rf $(SOFTWARE)-$(VERSION)
 
 
 # clear up rubbish
 clean:
-	-rm -r obj/ghc obj/nhc98 obj/hugs
-	-cd examples;    rm -f *.hi *.o
+	rm -rf obj/ghc obj/nhc98 obj/hugs
+	cd examples;    rm -f *.hi *.o
 realclean: clean
-	-rm -f DtdToHaskell Xtract Validate Canonicalise MkOneOf
+	rm -f DtdToHaskell Xtract Validate Canonicalise MkOneOf
+	rm -f XtractLazy CanonicaliseLazy

=== src/Makefile ===
SOFTWARE = HaXml
VERSION = 1.20.2

LIBSRCS = \
	Text/XML/HaXml.hs Text/XML/HaXml/Combinators.hs Text/XML/HaXml/Lex.hs \
	Text/XML/HaXml/Posn.hs \
	Text/XML/HaXml/Parse.hs Text/XML/HaXml/Pretty.hs \
	Text/XML/HaXml/Types.hs Text/XML/HaXml/Validate.hs \
	Text/XML/HaXml/Wrappers.hs \
	Text/XML/HaXml/OneOfN.hs \
	Text/XML/HaXml/ParseLazy.hs \
	Text/XML/HaXml/ByteStringPP.hs \
	Text/XML/HaXml/TypeMapping.hs \
	Text/XML/HaXml/XmlContent.hs \
	Text/XML/HaXml/XmlContent/Parser.hs \
	Text/XML/HaXml/XmlContent/Haskell.hs \
	Text/XML/HaXml/Verbatim.hs Text/XML/HaXml/Escape.hs \
	Text/XML/HaXml/SAX.hs \
	Text/XML/HaXml/ShowXmlLazy.hs \
	Text/XML/HaXml/Html/Generate.hs Text/XML/HaXml/Html/Parse.hs \
	Text/XML/HaXml/Html/Pretty.hs \
	Text/XML/HaXml/Html/ParseLazy.hs \
	Text/XML/HaXml/Xtract/Combinators.hs \
	Text/XML/HaXml/Xtract/Lex.hs \
	Text/XML/HaXml/Xtract/Parse.hs \

LIBOBJS = $(patsubst %.hs, %.o, $(LIBSRCS))

TOOLSRCS = \
	Text/XML/HaXml/DtdToHaskell/TypeDef.hs \
	Text/XML/HaXml/DtdToHaskell/Convert.hs \
	Text/XML/HaXml/DtdToHaskell/Instance.hs \
	tools/DtdToHaskell.hs tools/Xtract.hs tools/Validate.hs \
 	tools/Canonicalise.hs tools/MkOneOf.hs \
 	tools/CanonicaliseLazy.hs tools/XtractLazy.hs

TOOLSET = \
	../../DtdToHaskell$(EXE) ../../Xtract$(EXE) ../../Validate$(EXE) \
	../../Canonicalise$(EXE) ../../MkOneOf$(EXE) \
	../../CanonicaliseLazy$(EXE) ../../XtractLazy$(EXE)

EXE = $(shell cat ../exe)
INSTALLDIR = $(shell cat ../prefix)
WHOLEARCHIVE = $(shell cat ../ldopt)

# The caller *must* set the HC variable.
COMPILER := $(findstring ghc, $(HC))
ifeq "$(COMPILER)" "ghc"
COMPILEXEC = $(HC) --make -cpp -i. $(shell cat ghcpkgs) \
		-package polyparse -DVERSION=$(VERSION)
COMPILE  = $(COMPILEXEC) -package-name HaXml-$(VERSION)
RENAME   = $(shell cat ../out)
endif
COMPILER := $(findstring nhc98, $(HC))
ifeq "$(COMPILER)" "nhc98"
COMPILEXEC = hmake -hc=$(HC) -I. -K4M +CTS -H8M -CTS -package base \
		-package polyparse -package fps -DVERSION=$(VERSION)
COMPILE  = $(COMPILEXEC)
RENAME   = echo Built
endif

.PHONY: all libs toolset

all: libs toolset
libs: libHSHaXml.a
toolset: $(TOOLSET)
install-filesonly-ghc: libs $(INSTALLDIR)
	cp libHSHaXml.a `cat ghclibdir`
	-ranlib `cat ghclibdir`/libHSHaXml.a	# ignore if fails on Linux
	-cp HSHaXml.o `cat ghclibdir`		# file may not exist on MacOS X
	rm -rf `cat ghcincdir`/HaXml
	mkdir -p `cat ghcincdir`/HaXml
	cp interfaces.tar `cat ghcincdir`/HaXml
	cd `cat ghcincdir`/HaXml; tar xf interfaces.tar; rm interfaces.tar
	cp $(TOOLSET) $(INSTALLDIR)
install-filesonly-nhc98: libs $(INSTALLDIR)
	cp libHSHaXml.a `cat nhc98libdir`/`harch`
	-ranlib `cat nhc98libdir`/`harch`/libHSHaXml.a
	rm -rf `cat nhc98incdir`/HaXml
	mkdir -p `cat nhc98incdir`/HaXml
	cp interfaces.tar `cat nhc98incdir`/packages/HaXml
	cd `cat nhc98incdir`/packages/HaXml; tar xf interfaces.tar; rm interfaces.tar
	cp $(TOOLSET) $(INSTALLDIR)
install-ghc: install-filesonly-ghc HaXml.pkgconf
	`cat ghcpkgcmd` --remove-package=HaXml || true	# ignore any error
	`cat ghcpkgcmd` --add-package <pkg.conf || \
	`cat ghcpkgcmd` register HaXml.pkgconf
	echo "you can safely ignore any errors from --add-package"
install-nhc98: install-filesonly-nhc98
install-tools-hugs: toolset-hugs $(INSTALLDIR)
	cp $(patsubst ../../%, %, ${TOOLSET}) $(INSTALLDIR)

# update the sources if necessary
$(LIBSRCS) $(TOOLSRCS) Makefile: %: ../../src/%
	cp $< $@
HaXml.pkgconf: ../../HaXml.cabal ghcincdirraw ghclibdirraw
	cp ../../HaXml.cabal $@
	echo "import-dirs:	`cat ghcincdirraw`HaXml" >>$@
	echo "library-dirs:	`cat ghclibdirraw`" >>$@
	echo "depends:		base, haskell98, polyparse" >>$@
	echo "hs-libraries:	HS$(SOFTWARE)" >>$@



# packaged library
libHSHaXml.a: $(LIBSRCS)
	$(COMPILE) $(LIBSRCS)
	ar r libHSHaXml.a $(LIBOBJS)
	-ld -r $(WHOLEARCHIVE) -o HSHaXml.o libHSHaXml.a	# for GHCi only
	tar cf interfaces.tar `find Text -name *.hi -print`


# standalone tools
$(TOOLSET): $(LIBSRCS) $(TOOLSRCS)
	cd tools; $(COMPILEXEC) -i.. $(patsubst ../../%${EXE}, %, $@)
	cd tools; $(RENAME) $(patsubst ../../%, %, $@)
	mv $(patsubst ../../%, tools/%, $@) ../..

toolset-hugs:
	for file in tools/*.hs ;\
	do tool=`basename $$file .hs` ;\
	   echo '#!'`which runhugs` >$$tool ;\
	   cat $$file >>$$tool ;\
	   chmod +x $$tool ;\
	done

$(INSTALLDIR):
	if [ ! -d $(INSTALLDIR) ] ; then mkdir -p $(INSTALLDIR); fi

=== debian/changelog ===
haxml (1:1.20.2-2build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 17:00:49 -0400

haxml (1:1.20.2-2) unstable; urgency=medium

  * Remove stray libghc6 reference in control 
  * Standards-Version → 3.9.2, no changes required 

 -- Iain Lane <laney@debian.org>  Mon, 06 Jun 2011 09:02:22 +0100

haxml (1:1.20.2-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * control: Remove remaining references to ghc6.
  * haxml-doc: Change package name and provides to allow versioned
    dependency on libghc6-haxml-doc.
  * libghc-haxml-doc.doc-base: Remove file.

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 27 May 2011 16:40:22 +0200

haxml (1:1.13.3-5) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Apr 2011 22:26:49 +0530

=== debian/rules ===
#!/usr/bin/make -f

# Standard way of building Haskell binary.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/$(CABAL_PACKAGE) :: changelog build-ghc-stamp

changelog : docs/changelog.html
	html2text -nobs docs/changelog.html > changelog

## haxml 1.22.5

=== debian/changelog ===
haxml (1:1.22.5-2build2) quantal; urgency=low

  * No-change rebuild against GHC 7.4.2-2 ABIs

 -- Iain Lane <laney@ubuntu.com>  Sat, 11 Aug 2012 11:12:24 +0000

haxml (1:1.22.5-2build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 07 Jul 2012 13:41:02 +0400

haxml (1:1.22.5-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package
  * Remove random from cabal file, as this package is split out of ghc 7.4,
    and is not actually used by haxml.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:53:03 -0400

haxml (1:1.22.5-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 21:48:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,15 @@
 Build-Depends:
  debhelper (>= 7),
  cdbs,
- haskell-devscripts (>= 0.7),
- ghc6,
- ghc6-prof,
- ghc6-doc,
- html2text
-Standards-Version: 3.8.4
+ haskell-devscripts (>= 0.8),
+ ghc,
+ ghc-prof,
+ ghc-doc,
+ libghc-polyparse-dev,
+ libghc-polyparse-prof,
+ libghc-polyparse-doc,
+ html2text,
+Standards-Version: 3.9.2
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haxml/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haxml
 Homepage: http://hackage.haskell.org/package/HaXml
@@ -20,7 +23,7 @@
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${haskell:Suggests}
-Recommends: libghc6-haxml-dev (= ${binary:Version})
+Recommends: libghc-haxml-dev (= ${binary:Version})
 Description: utilities for using XML documents with Haskell
  .
  HaXml is a collection of utilities for parsing, filtering,
@@ -33,14 +36,13 @@
  .
  This package contains the HaXml command-line tools.
 
-Package: libghc6-haxml-dev
+Package: libghc-haxml-dev
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: GHC6 libraries for using XML documents with Haskell
- .
+Description: GHC libraries for using XML documents with Haskell
  HaXml is a collection of utilities for parsing, filtering,
  transforming, and generating XML documents using Haskell. Its basic
  facilities include: 
@@ -51,16 +53,15 @@
  .
  This package contains the HaXml combinator library for generic XML
  document processing, including transformation, editing, and
- generation for use with GHC6. 
+ generation for use with GHC.
 
-Package: libghc6-haxml-prof
+Package: libghc-haxml-prof
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
 Description: Profiling libraries for the haskell haxml library
- .
  HaXml is a collection of utilities for parsing, filtering,
  transforming, and generating XML documents using Haskell. Its basic
  facilities include: 
@@ -69,18 +70,16 @@
   - an XML validator,
   - pretty-printers for XML and HTML. 
  .
- .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
-Package: haxml-doc
+Package: libghc-haxml-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${haskell:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Provides: libghc6-haxml-doc
+Provides: haxml-doc
 Description: Documentation of HaXml
- .
  HaXml is a collection of utilities for parsing, filtering,
  transforming, and generating XML documents using Haskell. Its basic
  facilities include:

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|HaXml-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/HaXml \
    ([\d\.]*\d)/

## haxml 1.23.3

=== debian/changelog ===
haxml (1:1.23.3-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 12:12:48 +0100

haxml (1:1.23.3-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:41 +0200

haxml (1:1.23.3-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 22:38:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  cdbs,
- haskell-devscripts (>= 0.8),
+ haskell-devscripts (>= 0.8.13),
  ghc,
  ghc-prof,
  ghc-doc,
@@ -14,7 +14,7 @@
  libghc-polyparse-prof,
  libghc-polyparse-doc,
  html2text,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haxml/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haxml
 Homepage: http://hackage.haskell.org/package/HaXml

## haxml 1.25.3

=== debian/changelog ===
haxml (1:1.25.3-6build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2017 23:27:58 +0200

haxml (1:1.25.3-6build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 01:03:06 +0100

haxml (1:1.25.3-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:16 -0400

haxml (1:1.25.3-5) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 01:19:20 -0400

haxml (1:1.25.3-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

haxml (1:1.25.3-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:11 +0200

haxml (1:1.25.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:47 +0200

haxml (1:1.25.3-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 20:50:48 +0200

haxml (1:1.23.3-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:55 +0100

=== debian/control ===
Source: haxml
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Erik de Castro Lopo <erikd@mega-nerd.com>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-polyparse-dev,
 libghc-polyparse-dev (>= 1.10),
 libghc-polyparse-prof,
 libghc-random-dev,
 libghc-random-prof,
Build-Depends-Indep:
 ghc-doc,
 html2text,
 libghc-polyparse-doc,
 libghc-random-doc,
Standards-Version: 3.9.8
Homepage: http://projects.haskell.org/HaXml/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haxml
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: haxml
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libghc-haxml-dev (= ${binary:Version}),
Suggests:
 ${haskell:Suggests},
Description: utilities for using XML documents with Haskell
 .
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include:
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML.
 .
 This package contains the HaXml command-line tools.

Package: libghc-haxml-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: GHC libraries for using XML documents with Haskell
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include:
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML.
 .
 This package contains the HaXml combinator library for generic XML
 document processing, including transformation, editing, and
 generation for use with GHC.

Package: libghc-haxml-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Profiling libraries for the haskell haxml library
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include:
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-haxml-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 haxml-doc,
Description: Documentation of HaXml
 HaXml is a collection of utilities for parsing, filtering,
 transforming, and generating XML documents using Haskell. Its basic
 facilities include:
  - a parser for XML,
  - a separate error-correcting parser for HTML,
  - an XML validator,
  - pretty-printers for XML and HTML.
 .
 This package contains the HaXml documentation.

## haxml 1.25.4

=== debian/changelog ===
haxml (1:1.25.4-4) unstable; urgency=medium

  * Patch to build with newer ghc

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 18:48:16 +0300

haxml (1:1.25.4-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:26:57 +0300

haxml (1:1.25.4-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:12 -0400

haxml (1:1.25.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 22:13:05 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Erik de Castro Lopo <erikd@mega-nerd.com>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),
@@ -15,15 +16,17 @@
  libghc-polyparse-prof,
  libghc-random-dev,
  libghc-random-prof,
+ libghc-semigroups-dev,
+ libghc-semigroups-prof,
 Build-Depends-Indep:
  ghc-doc,
  html2text,
  libghc-polyparse-doc,
  libghc-random-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://projects.haskell.org/HaXml/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haxml
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haxml
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haxml]
 
 Package: haxml
 Architecture: any

## haxml 1.25.5

=== debian/changelog ===
haxml (1:1.25.5-2) unstable; urgency=medium

  * Patch for newer base and polyparse.

 -- Clint Adams <clint@debian.org>  Sun, 07 Jun 2020 18:53:43 -0400

haxml (1:1.25.5-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 31 Aug 2019 09:58:15 -0400

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
+ haskell-devscripts (>= 0.13),
  debhelper (>= 10),
  ghc (>= 8),
  ghc-prof,
- haskell-devscripts (>= 0.13),
- libghc-polyparse-dev,
- libghc-polyparse-dev (>= 1.10),
+ libghc-polyparse-dev (>= 1.12.1),
+ libghc-polyparse-dev (<< 1.14),
  libghc-polyparse-prof,
- libghc-random-dev,
+ libghc-random-dev (>= 1.0),
+ libghc-random-dev (<< 1.2),
  libghc-random-prof,
  libghc-semigroups-dev,
  libghc-semigroups-prof,
@@ -23,7 +24,7 @@
  html2text,
  libghc-polyparse-doc,
  libghc-random-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://projects.haskell.org/HaXml/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haxml
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haxml]

=== debian/rules ===
#!/usr/bin/make -f

# Standard way of building Haskell binary.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

#build/$(CABAL_PACKAGE) :: changelog build-ghc-stamp
#
#changelog : docs/changelog.html
#	html2text -nobs docs/changelog.html > changelog

## haxml 1.25.9

=== debian/changelog ===
haxml (1:1.25.9-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 19 Jul 2022 13:26:51 +0300

## haxml 1.25.11

=== debian/changelog ===
haxml (1:1.25.11-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 22 Oct 2022 13:43:25 +0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libghc-polyparse-dev (<< 1.14),
  libghc-polyparse-prof,
  libghc-random-dev (>= 1.0),
- libghc-random-dev (<< 1.2),
+ libghc-random-dev (<< 1.3),
  libghc-random-prof,
  libghc-semigroups-dev,
  libghc-semigroups-prof,
@@ -24,8 +24,8 @@
  html2text,
  libghc-polyparse-doc,
  libghc-random-doc,
-Standards-Version: 4.5.0
-Homepage: http://projects.haskell.org/HaXml/
+Standards-Version: 4.6.1
+Homepage: https://github.com/HaXml/HaXml
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haxml
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haxml]

## haxml 1.25.13

=== debian/changelog ===
haxml (1:1.25.13-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 04 Oct 2024 21:11:16 +0300

haxml (1:1.25.13-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 06 Oct 2023 14:37:48 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  cdbs,
  haskell-devscripts (>= 0.13),
  debhelper (>= 10),
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  libghc-polyparse-dev (>= 1.12.1),
  libghc-polyparse-dev (<< 1.14),
@@ -24,7 +24,7 @@
  html2text,
  libghc-polyparse-doc,
  libghc-random-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/HaXml/HaXml
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haxml
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haxml]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/HaXml/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haxml 1.25.14

=== debian/changelog ===
haxml (1:1.25.14-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * New upstream release (Closes: #1126213)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 28 Jan 2026 20:22:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
+ dh-sequence-haskell,
  haskell-devscripts (>= 0.13),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  ghc (>= 9.4),
  ghc-prof,
  libghc-polyparse-dev (>= 1.12.1),

=== debian/rules ===
#!/usr/bin/make -f

#changelog : docs/changelog.html
#	html2text -nobs docs/changelog.html > changelog

%:
	dh $@
